Bug 428661 - tg-admin quickstart shows a python traceback in Fedora 8
Summary: tg-admin quickstart shows a python traceback in Fedora 8
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: TurboGears   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL: http://docs.turbogears.org/1.0/TodoLi...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-14 14:15 UTC by Till Maas
Modified: 2016-09-20 02:38 UTC (History)
1 user (show)

Fixed In Version: TurboGears-1.0.4.2-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 15:46:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback of a tg-admin quickstart run (1.45 KB, text/plain)
2008-01-14 14:15 UTC, Till Maas
no flags Details

Description Till Maas 2008-01-14 14:15:05 UTC
Description of problem:
When I run "tg-admin quickstart" like it is described in
http://docs.turbogears.org/1.0/TodoList#generating-a-project-skeleton
there a python traceback appears.


Version-Release number of selected component (if applicable):
TurboGears-1.0.3.2-7.fc8


How reproducible:
always


Steps to Reproduce:
1. tg-admin quickstart

  
Actual results:
Traceback (most recent call last):
[...]
  File "/usr/lib/python2.5/site-packages/turbogears/config.py", line 212, in get
    value = config.get(key, default_value, return_section, path)
TypeError: get expected at most 2 arguments, got 4


Expected results:
It should ask me for a project name.


Additional info:
I will attach an attachment for the full traceback.

Comment 1 Till Maas 2008-01-14 14:15:05 UTC
Created attachment 291585 [details]
Traceback of a tg-admin quickstart run

Comment 2 Luke Macken 2008-01-29 19:48:27 UTC
Could you please try and reproduce this issue with TurboGears-1.0.4.2-3.fc8 in
updates-testing.  Thanks.

Comment 3 Luke Macken 2008-02-22 04:08:45 UTC
Ping.  This update has been pushed to stable, are you still able to reproduce
this issue?

Comment 4 Till Maas 2008-02-22 09:18:26 UTC
Sorry, I always forgot to test this when I booted my notebook. But I just tried
with another F8 machine and the traceback does not happen anymore.


Note You need to log in before you can comment on or make changes to this bug.